// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/HeatPumpState.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace HeatPumpState {

  /// <summary>Holder for reflection information generated from telemetry/HeatPumpState.proto</summary>
  public static partial class HeatPumpStateReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/HeatPumpState.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static HeatPumpStateReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ch10ZWxlbWV0cnkvSGVhdFB1bXBTdGF0ZS5wcm90bxIPaGVhdF9wdW1wX3N0",
            "YXRlGh9nb29nbGUvcHJvdG9idWYvdGltZXN0YW1wLnByb3RvIqgECg1IZWF0",
            "UHVtcFN0YXRlEj8KCXdvcmtfbW9kZRgBIAEoDjInLmhlYXRfcHVtcF9zdGF0",
            "ZS5IZWF0UHVtcFN0YXRlLldvcmtNb2RlSACIAQESOgoGc3RhdHVzGAIgASgO",
            "MiUuaGVhdF9wdW1wX3N0YXRlLkhlYXRQdW1wU3RhdGUuU3RhdHVzSAGIAQES",
            "EQoEcHVtcBgDIAEoCEgCiAEBEhcKCmNvbXByZXNzb3IYBCABKAhIA4gBARIQ",
            "CgNmYW4YBSABKAhIBIgBASJcCghXb3JrTW9kZRILCgdDb29saW5nEAASCwoH",
            "SGVhdGluZxABEgwKCEhvdFdhdGVyEAISEwoPSG90V2F0ZXJDb29saW5nEAMS",
            "EwoPSG90V2F0ZXJIZWF0aW5nEAQixAEKBlN0YXR1cxIQCgxVbml0Tm90UmVh",
            "ZHkQABIKCgZVbml0T04QARIOCgpPZmZCeUFsYXJtEAISEQoNT2ZmQnlUaW1l",
            "em9uZRADEg8KC09mZkJ5U3VwZXJWEAQSEAoMT2ZmQnlMaW5rYWdlEAUSEQoN",
            "T2ZmQnlLZXlib2FyZBAGEg4KCk1hbnVhbE1vZGUQBxIOCgpBbnRpRnJlZXpl",
            "EAgSEgoOT2ZmQnlBQ0xpbmthZ2UQCRIPCgtPZmZCeUNoYW5nZRAKQgwKCl93",
            "b3JrX21vZGVCCQoHX3N0YXR1c0IHCgVfcHVtcEINCgtfY29tcHJlc3NvckIG",
            "CgRfZmFuQnkKG2NvbS5jb2RpYmx5Lm1vZGVsLnRlbGVtZXRyeUISSGVhdFB1",
            "bXBTdGF0ZVByb3RvygIbRG9tYWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ54gIn",
            "RG9tYWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ5XEdQQk1ldGFkYXRhYgZwcm90",
            "bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::HeatPumpState.HeatPumpState), global::HeatPumpState.HeatPumpState.Parser, new[]{ "WorkMode", "Status", "Pump", "Compressor", "Fan" }, new[]{ "WorkMode", "Status", "Pump", "Compressor", "Fan" }, new[]{ typeof(global::HeatPumpState.HeatPumpState.Types.WorkMode), typeof(global::HeatPumpState.HeatPumpState.Types.Status) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class HeatPumpState : pb::IMessage<HeatPumpState>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<HeatPumpState> _parser = new pb::MessageParser<HeatPumpState>(() => new HeatPumpState());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<HeatPumpState> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::HeatPumpState.HeatPumpStateReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpState() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpState(HeatPumpState other) : this() {
      _hasBits0 = other._hasBits0;
      workMode_ = other.workMode_;
      status_ = other.status_;
      pump_ = other.pump_;
      compressor_ = other.compressor_;
      fan_ = other.fan_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpState Clone() {
      return new HeatPumpState(this);
    }

    /// <summary>Field number for the "work_mode" field.</summary>
    public const int WorkModeFieldNumber = 1;
    private global::HeatPumpState.HeatPumpState.Types.WorkMode workMode_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::HeatPumpState.HeatPumpState.Types.WorkMode WorkMode {
      get { if ((_hasBits0 & 1) != 0) { return workMode_; } else { return global::HeatPumpState.HeatPumpState.Types.WorkMode.Cooling; } }
      set {
        _hasBits0 |= 1;
        workMode_ = value;
      }
    }
    /// <summary>Gets whether the "work_mode" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasWorkMode {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "work_mode" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearWorkMode() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 2;
    private global::HeatPumpState.HeatPumpState.Types.Status status_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::HeatPumpState.HeatPumpState.Types.Status Status {
      get { if ((_hasBits0 & 2) != 0) { return status_; } else { return global::HeatPumpState.HeatPumpState.Types.Status.UnitNotReady; } }
      set {
        _hasBits0 |= 2;
        status_ = value;
      }
    }
    /// <summary>Gets whether the "status" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStatus {
      get { return (_hasBits0 & 2) != 0; }
    }
    /// <summary>Clears the value of the "status" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStatus() {
      _hasBits0 &= ~2;
    }

    /// <summary>Field number for the "pump" field.</summary>
    public const int PumpFieldNumber = 3;
    private bool pump_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Pump {
      get { if ((_hasBits0 & 4) != 0) { return pump_; } else { return false; } }
      set {
        _hasBits0 |= 4;
        pump_ = value;
      }
    }
    /// <summary>Gets whether the "pump" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasPump {
      get { return (_hasBits0 & 4) != 0; }
    }
    /// <summary>Clears the value of the "pump" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearPump() {
      _hasBits0 &= ~4;
    }

    /// <summary>Field number for the "compressor" field.</summary>
    public const int CompressorFieldNumber = 4;
    private bool compressor_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Compressor {
      get { if ((_hasBits0 & 8) != 0) { return compressor_; } else { return false; } }
      set {
        _hasBits0 |= 8;
        compressor_ = value;
      }
    }
    /// <summary>Gets whether the "compressor" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCompressor {
      get { return (_hasBits0 & 8) != 0; }
    }
    /// <summary>Clears the value of the "compressor" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCompressor() {
      _hasBits0 &= ~8;
    }

    /// <summary>Field number for the "fan" field.</summary>
    public const int FanFieldNumber = 5;
    private bool fan_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Fan {
      get { if ((_hasBits0 & 16) != 0) { return fan_; } else { return false; } }
      set {
        _hasBits0 |= 16;
        fan_ = value;
      }
    }
    /// <summary>Gets whether the "fan" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasFan {
      get { return (_hasBits0 & 16) != 0; }
    }
    /// <summary>Clears the value of the "fan" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearFan() {
      _hasBits0 &= ~16;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as HeatPumpState);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(HeatPumpState other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (WorkMode != other.WorkMode) return false;
      if (Status != other.Status) return false;
      if (Pump != other.Pump) return false;
      if (Compressor != other.Compressor) return false;
      if (Fan != other.Fan) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasWorkMode) hash ^= WorkMode.GetHashCode();
      if (HasStatus) hash ^= Status.GetHashCode();
      if (HasPump) hash ^= Pump.GetHashCode();
      if (HasCompressor) hash ^= Compressor.GetHashCode();
      if (HasFan) hash ^= Fan.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasWorkMode) {
        output.WriteRawTag(8);
        output.WriteEnum((int) WorkMode);
      }
      if (HasStatus) {
        output.WriteRawTag(16);
        output.WriteEnum((int) Status);
      }
      if (HasPump) {
        output.WriteRawTag(24);
        output.WriteBool(Pump);
      }
      if (HasCompressor) {
        output.WriteRawTag(32);
        output.WriteBool(Compressor);
      }
      if (HasFan) {
        output.WriteRawTag(40);
        output.WriteBool(Fan);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasWorkMode) {
        output.WriteRawTag(8);
        output.WriteEnum((int) WorkMode);
      }
      if (HasStatus) {
        output.WriteRawTag(16);
        output.WriteEnum((int) Status);
      }
      if (HasPump) {
        output.WriteRawTag(24);
        output.WriteBool(Pump);
      }
      if (HasCompressor) {
        output.WriteRawTag(32);
        output.WriteBool(Compressor);
      }
      if (HasFan) {
        output.WriteRawTag(40);
        output.WriteBool(Fan);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasWorkMode) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) WorkMode);
      }
      if (HasStatus) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (HasPump) {
        size += 1 + 1;
      }
      if (HasCompressor) {
        size += 1 + 1;
      }
      if (HasFan) {
        size += 1 + 1;
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(HeatPumpState other) {
      if (other == null) {
        return;
      }
      if (other.HasWorkMode) {
        WorkMode = other.WorkMode;
      }
      if (other.HasStatus) {
        Status = other.Status;
      }
      if (other.HasPump) {
        Pump = other.Pump;
      }
      if (other.HasCompressor) {
        Compressor = other.Compressor;
      }
      if (other.HasFan) {
        Fan = other.Fan;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            WorkMode = (global::HeatPumpState.HeatPumpState.Types.WorkMode) input.ReadEnum();
            break;
          }
          case 16: {
            Status = (global::HeatPumpState.HeatPumpState.Types.Status) input.ReadEnum();
            break;
          }
          case 24: {
            Pump = input.ReadBool();
            break;
          }
          case 32: {
            Compressor = input.ReadBool();
            break;
          }
          case 40: {
            Fan = input.ReadBool();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            WorkMode = (global::HeatPumpState.HeatPumpState.Types.WorkMode) input.ReadEnum();
            break;
          }
          case 16: {
            Status = (global::HeatPumpState.HeatPumpState.Types.Status) input.ReadEnum();
            break;
          }
          case 24: {
            Pump = input.ReadBool();
            break;
          }
          case 32: {
            Compressor = input.ReadBool();
            break;
          }
          case 40: {
            Fan = input.ReadBool();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the HeatPumpState message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum WorkMode {
        [pbr::OriginalName("Cooling")] Cooling = 0,
        [pbr::OriginalName("Heating")] Heating = 1,
        [pbr::OriginalName("HotWater")] HotWater = 2,
        [pbr::OriginalName("HotWaterCooling")] HotWaterCooling = 3,
        [pbr::OriginalName("HotWaterHeating")] HotWaterHeating = 4,
      }

      public enum Status {
        [pbr::OriginalName("UnitNotReady")] UnitNotReady = 0,
        [pbr::OriginalName("UnitON")] UnitOn = 1,
        [pbr::OriginalName("OffByAlarm")] OffByAlarm = 2,
        [pbr::OriginalName("OffByTimezone")] OffByTimezone = 3,
        [pbr::OriginalName("OffBySuperV")] OffBySuperV = 4,
        [pbr::OriginalName("OffByLinkage")] OffByLinkage = 5,
        [pbr::OriginalName("OffByKeyboard")] OffByKeyboard = 6,
        [pbr::OriginalName("ManualMode")] ManualMode = 7,
        [pbr::OriginalName("AntiFreeze")] AntiFreeze = 8,
        [pbr::OriginalName("OffByACLinkage")] OffByAclinkage = 9,
        [pbr::OriginalName("OffByChange")] OffByChange = 10,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
